
QGIS Application - Bug report #17691

Applying any file-based qml style to a postgres table results in applying its default style

2017-12-14 11:19 AM - Harrissou Santanna

Status: Open

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25588

Description

Let's take a PG table with a default style (seems there's no issue if it has no default style filled) and change some of its symbology in the

project.

Also take a layer style you saved in qml (different from the default style)

Try to apply the qml style to the PG table.

Nothing will change but the PG table reverting to its default style.

Tested on 2.18.15-dev osgeo4w (not yet in the list). FYI, tried it also on 2.18.0 (macOS) and it works there.

History

#1 - 2018-02-22 07:44 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-03-13 03:17 PM - Harrissou Santanna

- Affected QGIS version changed from 2.18.14 to 3.0.0

#3 - 2018-03-15 02:29 AM - Nyall Dawson

I can reproduce this in 2.18 also.

#4 - 2018-12-28 12:20 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#5 - 2018-12-28 02:48 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.

Please change status to "feedback" when needed.
#6 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#7 - 2019-03-09 03:34 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open
